#
# spec file for package python-dasbus
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dasbus
Version:        1.7
Release:        1.4
Summary:        DBus library in Python 3
License:        LGPL-2.0-or-later
Group:          Development/Libraries/Python
URL:            https://github.com/rhinstaller/dasbus
Source:         https://github.com/rhinstaller/dasbus/releases/download/v%{version}/dasbus-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  gobject-introspection
BuildRequires:  python-rpm-macros
Requires:       python-gobject
BuildArch:      noarch
%python_subpackages

%description
DBus library in Python 3, based on GLib and inspired by pydbus.

%prep
%setup -q -n dasbus-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Dec  2 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to dasbus-1.7
  Document limitations of the DBus specification generator by @poncovka in #63
  Fix testing with Travis CI by @poncovka in #68
  Allow to run tests in a container by @poncovka in #69
  Provide a language argument for the code blocks by @seahawk1986 in #71
  Change the type of 'h' glib objects from 'File' to 'UnixFD' by @wdouglass in #70
  Add functions for generating/consuming fdlists with variants by @wdouglass in #72
  Use CentOS Stream for testing with Travis by @poncovka in #83
  add remove dbus object function on bus and update tests by @mc18g13 in #74
  properly measure coverage across multiprocess test cases by @wdouglass in #82
  Extend the .coveragerc file by @poncovka in #86
  Disable builds for Fedora ELN on commits by @poncovka in #85
  Run tests for Debian and Ubuntu in Travis by @poncovka in #84
  Fix pylint issues by @poncovka in #91
  Support unixfd transfer via dbus by @wdouglass in #78
  Raise TimeoutError if a DBus call times out by @poncovka in #92
  UnixFD: Rename a parameter to server_arguments by @poncovka in #94
  UnixFD: Revert a change in GLibClient._async_call_finish by @poncovka in #93
  Don't use pylint from pip on Fedora Rawhide by @poncovka in #96
  Simplify the code for replacing values of the UnixFD type by @poncovka in #95
  UnixFD: Move the unit tests to a new file by @poncovka in #97
  Use pylint from pip on Fedora Rawhide by @poncovka in #98
  Always pull the latest container image by @poncovka in #99
  CI: Run tests for all supported Python versions by @poncovka in #103
  UnixFD: Move the support for Unix file descriptors to dasbus.unix by @poncovka in #100
  UnixFD: Clean up tests of DBus calls with Unix file descriptors by @poncovka in #101
  UnixFD: Handle DBus signals with Unix file descriptors by @poncovka in #102
  Fix rpm lint warnings for OpenSUSE 15.3 by @cmcantalupo in #89
  Fix bullet point lists by @poncovka in #107
  Remove untracked files from the git repository interactively by @poncovka in #108
  Simplify the hostname example by @poncovka in #106
  UnixFD: Document the support for Unix file descriptors by @poncovka in #105
  Improve the installation instruction by @poncovka in #109
* Fri Jan  7 2022 Predrag Ivanović <predivan@mts.rs>
- Add python-rpm-macros to BuildRequires.
* Tue Jun  8 2021 Predrag Ivanović <predivan@mts.rs>
- Update to dasbus-1.6
  * Allow to generate multiple output arguments (vponcova)
  * Support multiple output arguments (vponcova)
  * Add the is_tuple_of_one function (vponcova)
- Package changes:
  * Switch from PyPI to Github download.
* Wed May 19 2021 Predrag Ivanović <predivan@mts.rs>
- Update to dasbus-1.5
  * Provide additional info about the DBus call (vponcova)
  * Rename TestMessageBus class to silence pytest warning (luca)
  * Fix the raise-missing-from warning (vponcova)
- Add gobject-introspection to BuildRequires
  Needed for typelib() requires auto-detection.
- Require python-gobject instead of python3-gobject
  Otherwise every built python flavor (3.6, 3.8, and 3.9) will depend on python 3.8.
* Mon Mar 15 2021 Predrag Ivanović <predivan@mts.rs>
- Initial packaging.
